<?php

namespace App\Admin\Controllers;

use App\Admin\Actions\Modal\memberModal;
use App\Admin\Repositories\ListText;
use Dcat\Admin\Form;
use Dcat\Admin\Grid;
use Dcat\Admin\Http\Controllers\AdminController;
use Dcat\Admin\Show;

class ListTextController extends AdminController {
	/**
	 * Make a grid builder.
	 *
	 * @return Grid
	 */
	protected function grid() {
		return Grid::make(new ListText(), function (Grid $grid) {
			$grid->column('id')->sortable();
			$grid->column('quyu');
			$grid->column('title');
			$grid->column('type');
			$grid->column('guimo');
			$grid->column('daoru');
			$grid->column('yunying');
			$grid->column('chengguo');
			$grid->column('created_at');
			$grid->column('updated_at')->sortable();

			$grid->filter(function (Grid\Filter $filter) {
				$filter->equal('id');

			});
			$grid->tools("<a target='_blank' href='/模板.xlsx' class='btn btn-outline-info btn-outline'>批量上传模板下载</a>");
			//在工具栏添加导入按钮

			$grid->tools(function (Grid\Tools $tools) {
				$tools->append(new memberModal());
			});

		});
	}

	/**
	 * Make a show builder.
	 *
	 * @param mixed $id
	 *
	 * @return Show
	 */
	protected function detail($id) {
		return Show::make($id, new ListText(), function (Show $show) {
			$show->field('id');
			$show->field('quyu');
			$show->field('title');
			$show->field('type');
			$show->field('guimo');
			$show->field('daoru');
			$show->field('yunying');
			$show->field('chengguo');
			$show->field('created_at');
			$show->field('updated_at');
		});
	}

	/**
	 * Make a form builder.
	 *
	 * @return Form
	 */
	protected function form() {
		return Form::make(new ListText(), function (Form $form) {
			$form->display('id');
			$form->text('quyu');
			$form->text('title');
			$form->text('type');
			$form->text('guimo');
			$form->text('daoru');
			$form->text('yunying');
			$form->text('chengguo');

			$form->display('created_at');
			$form->display('updated_at');
		});
	}
}
