<?php

use Dcat\Admin\Admin;
use Dcat\Admin\Form;
use Dcat\Admin\Grid;
use Dcat\Admin\Grid\Filter;

/**
 * Dcat-admin - admin builder based on Laravel.
 * @author jqh <https://github.com/jqhph>
 *
 * Bootstraper for Admin.
 *
 * Here you can remove builtin form field:
 *
 * extend custom field:
 * Dcat\Admin\Form::extend('php', PHPEditor::class);
 * Dcat\Admin\Grid\Column::extend('php', PHPEditor::class);
 * Dcat\Admin\Grid\Filter::extend('php', PHPEditor::class);
 *
 * Or require js and css assets:
 * Admin::css('/packages/prettydocs/css/styles.css');
 * Admin::js('/packages/prettydocs/js/main.js');
 *
 */

Grid::resolving(function (Grid $grid) {
	//平铺显示图标
	// $grid->addTableClass(['table-text-center']);
	// 展开图标
	$grid->setActionClass(\Dcat\Admin\Grid\Displayers\Actions::class);

	// 整体排序
	//
	// if (admin_controller_slug() != 'news') {
	$grid->model()->orderBy("id", "desc");
	// }

	// $grid->disableViewButton();
	// $grid->showQuickEditButton();
	// $grid->showDeleteButton();
	// $grid->disableDeleteButton();
	// $grid->disableEditButton();
	$grid->disableViewButton();
	// $grid->disableQuickEditButton();
	// $grid->disableViewButton();
	//
	//快捷便捷
	// $grid->showQuickEditButton();
	// $grid->showDeleteButton();
	//弹出新增
	// $grid->enableDialogCreate();
	// 关闭批量删除
	// $grid->disableBatchDelete();
	//
	//弹出快捷按钮编辑
	// $grid->actions(function (\Dcat\Admin\Grid\Displayers\Actions $actions) {
	// 	//展示按钮
	// 	$actions->disableView();
	// 	if (!Admin::user()->isAdministrator()) {
	// 		$actions->disableDelete();
	// 	}
	// 	//编辑按钮
	// 	$actions->disableEdit();
	// });
	// $grid->option("dialog_form_area", ["70%", "80%"]);
	//
	$grid->quickCreate(function (Grid\Tools\QuickCreate $create) {
		$create->text('title', '名称');
		$create->url('url', '链接地址');
	});

});

Filter::resolving(function (Filter $filter) {
	// $filter->panel();
	//是否展开
	// $filter->expand();
});
Form::resolving(function (form $form) {

	$form->tools(function (Form\Tools $tools) {
		// 去掉跳转列表按钮
		$tools->disableList();
		// 去掉跳转详情页按钮
		$tools->disableView();
		// 去掉删除按钮
		$tools->disableDelete();

	});
	$form->disableViewCheck();
	// 关闭继续编辑
	// $form->disableEditingCheck();
	//继续创建
	$form->disableCreatingCheck();

// 去掉重置
	$form->disableResetButton();
});

/**
 *
 *拓展显示
 *
 *
 */
Dcat\Admin\Grid\Column::extend('emp', function ($value) {
	return $value ?: '-';
});

//引出后台模板
app('view')->prependNamespace('admin', resource_path('views/admin'));
Form\Field\Map::requireAssets();