<?php
namespace App\Http\Controllers;
use App\Models\ListText;
use App\Models\ListYun;
use Illuminate\Http\Request;

class ApiController extends Controller {
	function get_ioc($id) {
		$url = env('APP_URL');
		$iocs = [
			$url . '/ioc/ioc1.png',
			$url . '/ioc/ioc1.png',
			$url . '/ioc/ioc2.png',
			$url . '/ioc/ioc3.png',
			$url . '/ioc/ioc4.png',
			$url . '/ioc/ioc5.png',
		];
		return $iocs[$id];
	}
	function getNameToWnID($name) {
		$city = [
			1 => "北庄镇",
			2 => "城头镇",
			3 => "店子镇",
			4 => "冯卯镇",
			5 => "凫城镇",
			6 => "桑村镇",
			7 => "山城街道",
			8 => "水泉镇",
			9 => "西集镇",
			10 => "徐庄镇",
		];
		foreach ($city as $key => $value) {
			if ($value == $name) {
				return $key;
			} else {
				return false;
			}
		}
	}
	public function api(Request $request) {
		$townId = $this->getNameToWnID($request->name);
		if ($request->name && $townId) {
			$data = ListYun::where([['show', 1], ['town', $townId]])->get();
			$type = ListYun::where([['show', 1], ['town', $townId]])->groupBy("type")->pluck("type");
		} else {
			$data = ListYun::where('show', 1)->get();
			$type = ListYun::where('show', 1)->groupBy("type")->pluck("type");
		}
		$i = 0;
		foreach ($type as $v) {
			foreach ($data as $key => $value) {
				$data2[$i]['icon'] = "data:image/png;base64," . base64_encode(file_get_contents($this->get_ioc($value->type)));
				// $data2[$i]['icon'] = $value->icon_data;
				$data2[$i]['type'] = $v;
				if ($v == $value->type) {
					$data2[$i]["list"][] = [
						'id' => $value->id,
						'title' => $value->title,
						'add_x' => $value->add_x,
						'add_y' => $value->add_y,
						'town_id' => $value->town,
					];
				}
			}
			$i++;
		}
		if (isset($data2)) {
			return json_encode($data2);
		}
	}
	public function info(Request $request) {
		// && $request->header('pwd') == '456123'  私密键值对
		if ($request->id) {
			$data = ListYun::where([['show', 1], ['id', $request->id]])->first();
			if ($data) {
				$data->ioc = $data->type ? $this->get_ioc($data->type) : null;
				// $data->ioc = $data->type ? $this->get_ioc($data->type) : null;
				// dd($data->type);
				$data->live = $data->vide_live;
				$images = explode(',', $data->imgs);
				foreach ($images as $key => $value) {
					if ($value) {
						$images[$key] = env('APP_URL') . '/storage/' . $value;
					} else {
						$images = [];
					}
				}
				$data->imgs = $images; //implode(',', $images);
				unset($data->sort);
				unset($data->show);
				unset($data->created_at);
				unset($data->updated_at);
				unset($data->deleted_at);
				unset($data->type);
				unset($data->icon_data);

			} else {
				return false;
			}
		} else {
			return '请求认证失败';
		}
		return $data->toJson();
	}

	public function text() {

		$date = ListText::orderBy('id', 'desc')->get();

		return json_encode($date);
	}
}